Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235657 - leaking GConfClients ?
Summary: leaking GConfClients ?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eel2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 10:06 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 13:18:49 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-09 10:06:47 UTC
hunting for some small memleaks in nautilus, I noticed that

eel_gconf_monitor_add
eel_gconf_monitor_remove
eel_gconf_preload_cache

are leaking the clients, since they are using gconf_client_get_default
instead of eel_gconf_client_get_global.

Comment 1 Matthias Clasen 2007-04-09 10:49:22 UTC
A patch is in the upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=427808

Comment 2 Alexander Larsson 2007-04-10 13:17:22 UTC
commited to trunk

Comment 3 Alexander Larsson 2007-04-10 13:18:49 UTC
Uhm, wrong bugzilla. Its been commited upstream. However, this will only leak
the refcount on the global default gconf client object, so its not very
important to backport the fix.

Comment 4 Matthias Clasen 2007-04-10 13:23:32 UTC
Are you sure ? It looks to me as if it leaks one GConfClient per
eel_gconf_monitor_add call.

Comment 5 Alexander Larsson 2007-04-10 13:27:35 UTC
The way i read gconf_client_get_default is that it will always return the same
client object each time. If its created its then set on the engine so that the
next time lookup_client will find it.

Comment 6 Matthias Clasen 2007-04-10 13:38:37 UTC
Ah, ok. Then it is indeed not very important.


Note You need to log in before you can comment on or make changes to this bug.